# Name

HPL_indxg2p Map a global index into a process coordinate.

# Synopsis

`#include "hpl.h"`
`int` `HPL_indxg2p(` `const int` `IG`, `const int` `INB`, `const int` `NB`, `const int` `SRCPROC`, `const int` `NPROCS` `);`

# Description

HPL_indxg2p computes the process coordinate which posseses the entry of a matrix specified by a global index IG.

# Arguments

    IG      (input)                       const int
            On entry, IG specifies the global index of the matrix  entry.
            IG must be at least zero.

    INB     (input)                       const int
            On entry,  INB  specifies  the size of the first block of the
            global matrix. INB must be at least one.

    NB      (input)                       const int
            On entry,  NB specifies the blocking factor used to partition
            and distribute the matrix A. NB must be larger than one.

    SRCPROC (input)                       const int
            On entry,  SRCPROC  specifies  the coordinate of the  process
            that possesses the first row or column of the matrix. SRCPROC
            must be at least zero and strictly less than NPROCS.

    NPROCS  (input)                       const int
            On entry,  NPROCS  specifies the total number of process rows
            or columns over which the matrix is distributed.  NPROCS must
            be at least one.

# See Also

HPL_indxg2l, HPL_indxg2p, HPL_indxl2g, HPL_numroc, HPL_numrocI.